# "Automatic SMG with modest damage and longest range capability in class."

The Type 100, a Japanese World War II side-loading, open bolt submachine gun, given fresh coats of paints and some modifications. The HUB-23 suppressor is also featured, a German Kar98k detachable suppressor, however it is only usable on the Type 100 and future *WWII* Axis SMGs. The weapons in this pack, are hilariously designed with a combination of parts from the early war Type 100/40 infantry, paratrooper and the Type 100/44 late war variants, as well as some made up parts.

The Type 100 and the HUB-23 suppressor from *Call of Duty: WWII*, including all its anachronisms and strange measurements, because skins are fun. All magazines are compatible with the base game Type 100, and vice versa. All files have been ripped from *WWII*.

I made this mod because lots of guns in various games, even as they appear in H3, have unique sounds, skins or stats in other games, and they deserve to be brought over to H3 for anyone to play with. I will definitely be making more mods like this, even for guns already in vanilla H3.

## Features
- The Type 100 and the Empire, Blue Sky, Blue Sky II and Righteous variants are all found in the SMG section of the item spawner, fire at ~625 RPM, with a 30 or 45 round magazine each, and are chambered in 8x22mm Nambu.
- All magazines are usable with all variants, enjoy playing mix and match!
- Muzzle attachment points to fit the HUB-23 Suppressor.
- All models, sounds and textures ripped directly from *Call of Duty: WWII*.
- Ten magazines and one suppressor.

## Planned
- Every other Type 100 variant in *Call of Duty: WWII*. Yes, *all* of them.
- Adding the Lens Sight and Reflex Sight. Might consider adding the rapid fire variant, however it feels *way* too contrived.
- Readding the Strap on the base Type 100 variant if that functionality is ever created.

# Changelog

### 1.4.0
- Added the Type 100 Righteous variant!
- The Righteous and Empire variants have been given flip sights, as it is present on the models
- All suppressor attach locations reworked to fit better on the barrel
- Type 100 Empire model remade to facilitate flip sights, and to combine the Charging Handle and Bolt to a single mesh
- Renaming of a few material files
- HUB-23 Suppressor file location moved to its own parent instead of being parented in the Empire
- Empire and Righteous front waggles fixed to be correctly angled when moving

### 1.3.0
- Added the Type 100 Blue Sky II variant!
- All magazine bullet loading colliders have been fixed to be functional
- Type 100 Extended Magazine bullet viz fixed to not glitch through the magazine
- Bolt forward and rear points fixed to be at correct positions on the barrel

### 1.2.0
- Added the Type 100 Blue Sky variant!
- Turns out mag phys is still bugged :(
- All waggles made to respond to gravity way better by reducing the Distance Limit from 0.25 to 0.05
- Changed a bunch of Item IDs to prevent conflicts with any other future Type 100 mods
- Very small phys fixes

### 1.1.0
- Added the Type 100 base variant!
- Fixed the colliders for the Extended Magazines to allow them to be picked up closer to the model's viz.

### 1.0.0
- Initial release